/***************************************************************************
                          dictapplication.cpp  -  description
                             -------------------
    begin                : . .. 22 2002
    copyright            : (C) 2002 by Thanomsub Noppaburana
    email                : donga_n@yahoo.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

 
#include <kwin.h>
#include <kcmdlineargs.h>

#include "dictconfig.h"
#include "dictengine.h"
#include "kdictthai.h"
#include "dictapplication.h"


// ***************************************************************
//            Class KDictApplication Implementation
// ***************************************************************

KDictApplication::KDictApplication() : KUniqueApplication(), kdictthai(0)
{
}


KDictApplication::~KDictApplication()
{
}


int KDictApplication::newInstance()
{
  if (kdictthai != 0) {
    KWin::setOnDesktop(kdictthai->winId(), KWin::currentDesktop());
    KWin::setActiveWindow(kdictthai->winId());
  } else {
    if (isRestored()) {
      RESTORE(KDictThai);
    } else {
      kdictthai = new KDictThai();
      if (global->showMainWindow) kdictthai->show();
    }
  }
  return 0;
}


//-----------------------
#include "dictapplication.moc"
