/***************************************************************************
                          dictwordlist.h  -  description
                             -------------------
    begin                : . .. 26 2002
    copyright            : (C) 2002 by Thanomsub Noppaburana
    email                : donga_n@yahoo.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef __DICTWORDLIST_H__
#define __DICTWORDLIST_H__

#include <qvbox.h>
#include <qlistbox.h>
#include <qlabel.h>


class CWordList : public QVBox
{
  Q_OBJECT

  public:
    CWordList(QWidget *parent = 0);
    ~CWordList();

    void insertStringList(const QStringList &, int index = -1);
    void clear();
    void setCurrentItem(int);

  public slots:
    void slotHighlighted(const QString &);

  protected slots:

  signals:
    void highlighted(const QString &);

  protected:

  private:
    QLabel   *wordLabel;
    QListBox *wordListBox;
};

#endif
