/***************************************************************************
                          main.cpp  -  description
                             -------------------
    begin                : . .. 22 20:37:33 ICT 2002
    copyright            : (C) 2002 by Thanomsub Noppaburana
    email                : donga_n@yahoo.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <qmessagebox.h>

#include <kcmdlineargs.h>
#include <kaboutdata.h>
#include <klocale.h>

#include "dictapplication.h"

static const char *description =
  I18N_NOOP("KDictThai\n\tAn English-Thai Dictionary");
// INSERT A DESCRIPTION FOR YOUR APPLICATION HERE


static KCmdLineOptions options[] =
{
  { 0, 0, 0 }
  // INSERT YOUR COMMANDLINE OPTIONS HERE
};

int main(int argc, char *argv[])
{
  
  //QT_REQUIRE_VERSION( argc, argv, "3.0.5" );

  KAboutData aboutData(PROGNAME, I18N_NOOP("KDictThai"),
    KDICTTHAI_VERSION, description, KAboutData::License_GPL,
    I18N_NOOP("Copyright(c) 2002, Thanomsub Noppaburana"),
    I18N_NOOP("Dictionary data\n\tbased on DictHope 2.0 by Hope Studio"),
    I18N_NOOP("http://kdictthai.sourceforge.net/"),
    I18N_NOOP("donga_n@yahoo.com")
  );
  aboutData.addAuthor(I18N_NOOP("Thanomsub Noppaburana"),
    0,
    I18N_NOOP("donga_n@yahoo.com")
  );
  aboutData.addCredit(I18N_NOOP("Hope Studio"),
    I18N_NOOP("Original Dictionary data from DictHope\nby Hope Studio\nhttp://www.se-ed.net/tdai/"),
    I18N_NOOP("blueman007@mweb.co.th")
  );
  aboutData.setTranslator(I18N_NOOP("_: NAME OF TRANSLATORS\nYour names"),
    I18N_NOOP("_: EMAIL OF TRANSLATORS\nYour emails")
  );
  KCmdLineArgs::init(argc, argv, &aboutData);
  KCmdLineArgs::addCmdLineOptions(options); // Add our own options.
  KDictApplication::addCmdLineOptions();

  if (!KDictApplication::start()) return 0;

  KDictApplication app;
  return app.exec();
}
